<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Mini51 BSP: StdDriver/inc/spi.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="M0Banner_v2.jpg"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Mini51 BSP
   &#160;<span id="projectnumber">V3.02.002</span>
   </div>
   <div id="projectbrief">The Board Support Package for Mini51 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',false,false,'search.php','Search');
});
/* @license-end */</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_0d398eaf8b2db165a9197a6619ec9f0e.html">StdDriver</a></li><li class="navelem"><a class="el" href="dir_727df3ff8d6c08f79694ae8f401a0b8b.html">inc</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">spi.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Mini51 series SPI driver header file.  
<a href="#details">More...</a></p>

<p><a href="spi_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:ga1ec07ad94d5f6276c1c0b41d0550fe52"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga1ec07ad94d5f6276c1c0b41d0550fe52">SPI_MODE_0</a>&#160;&#160;&#160;(<a class="el" href="_mini51_series_8h.html#a09bf22557407e7d8132d1feae13bab6b">SPI_CNTRL_TX_NEG_Msk</a>)</td></tr>
<tr class="separator:ga1ec07ad94d5f6276c1c0b41d0550fe52"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf2af9f45539491c9753960535dc20fde"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf2af9f45539491c9753960535dc20fde">SPI_MODE_1</a>&#160;&#160;&#160;(<a class="el" href="_mini51_series_8h.html#a7cea5a9206bd5a02138fbba1e311999b">SPI_CNTRL_RX_NEG_Msk</a>)</td></tr>
<tr class="separator:gaf2af9f45539491c9753960535dc20fde"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8fa3edd8616f8803490c93f09243a612"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga8fa3edd8616f8803490c93f09243a612">SPI_MODE_2</a>&#160;&#160;&#160;(<a class="el" href="_mini51_series_8h.html#a764f2151917c254c26aba0b7c7875f57">SPI_CNTRL_CLKP_Msk</a> | <a class="el" href="_mini51_series_8h.html#a7cea5a9206bd5a02138fbba1e311999b">SPI_CNTRL_RX_NEG_Msk</a>)</td></tr>
<tr class="separator:ga8fa3edd8616f8803490c93f09243a612"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6a091da9f9011457fe28ab25f64c858d"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga6a091da9f9011457fe28ab25f64c858d">SPI_MODE_3</a>&#160;&#160;&#160;(<a class="el" href="_mini51_series_8h.html#a764f2151917c254c26aba0b7c7875f57">SPI_CNTRL_CLKP_Msk</a> | <a class="el" href="_mini51_series_8h.html#a09bf22557407e7d8132d1feae13bab6b">SPI_CNTRL_TX_NEG_Msk</a>)</td></tr>
<tr class="separator:ga6a091da9f9011457fe28ab25f64c858d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga943af7f8a98cf5a3f2107ed593215a4b"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga943af7f8a98cf5a3f2107ed593215a4b">SPI_SLAVE</a>&#160;&#160;&#160;(<a class="el" href="_mini51_series_8h.html#a155074f8afb7fea99251c8279ee0746c">SPI_CNTRL_SLAVE_Msk</a>)</td></tr>
<tr class="separator:ga943af7f8a98cf5a3f2107ed593215a4b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae09a2779c2d141aa6a8f8be6d78fe210"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae09a2779c2d141aa6a8f8be6d78fe210">SPI_MASTER</a>&#160;&#160;&#160;(0x0)</td></tr>
<tr class="separator:gae09a2779c2d141aa6a8f8be6d78fe210"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga81f0aae3c3a2adba06ac3b802b38915a"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga81f0aae3c3a2adba06ac3b802b38915a">SPI_SS</a>&#160;&#160;&#160;(<a class="el" href="_mini51_series_8h.html#a4d0ff5ea2d8b54bc0c0903edfa392906">SPI_SSR_SSR_Msk</a>)</td></tr>
<tr class="separator:ga81f0aae3c3a2adba06ac3b802b38915a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8bfc94771e6451d3c1eaeb0c4fa5838b"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga8bfc94771e6451d3c1eaeb0c4fa5838b">SPI_SS_ACTIVE_HIGH</a>&#160;&#160;&#160;(<a class="el" href="_mini51_series_8h.html#ace3f423d206a3b88ee42f78cd4bb5b08">SPI_SSR_SS_LVL_Msk</a>)</td></tr>
<tr class="separator:ga8bfc94771e6451d3c1eaeb0c4fa5838b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga67a2045f4f16d45f92fd22075416a7d6"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga67a2045f4f16d45f92fd22075416a7d6">SPI_SS_ACTIVE_LOW</a>&#160;&#160;&#160;(0x0)</td></tr>
<tr class="separator:ga67a2045f4f16d45f92fd22075416a7d6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gafcdee9562fdac3dc6db5dbd67f53b4fa"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gafcdee9562fdac3dc6db5dbd67f53b4fa">SPI_IE_MASK</a>&#160;&#160;&#160;(0x01)</td></tr>
<tr class="separator:gafcdee9562fdac3dc6db5dbd67f53b4fa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7fec9626224f4bf31a1d318f2fea412c"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga7fec9626224f4bf31a1d318f2fea412c">SPI_SSTA_INTEN_MASK</a>&#160;&#160;&#160;(0x04)</td></tr>
<tr class="separator:ga7fec9626224f4bf31a1d318f2fea412c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaaa0d3769c378f99dc6e3e278b783f449"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaaa0d3769c378f99dc6e3e278b783f449">SPI_FIFO_TX_INTEN_MASK</a>&#160;&#160;&#160;(0x08)</td></tr>
<tr class="separator:gaaa0d3769c378f99dc6e3e278b783f449"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga529ec79afe2917ac1973fde46dfedc54"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga529ec79afe2917ac1973fde46dfedc54">SPI_FIFO_RX_INTEN_MASK</a>&#160;&#160;&#160;(0x10)</td></tr>
<tr class="separator:ga529ec79afe2917ac1973fde46dfedc54"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac97b9d3efa7af585549c908ec95fbf03"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gac97b9d3efa7af585549c908ec95fbf03">SPI_FIFO_RXOV_INTEN_MASK</a>&#160;&#160;&#160;(0x20)</td></tr>
<tr class="separator:gac97b9d3efa7af585549c908ec95fbf03"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga40af81a5621db7a8b7883fff421a65b7"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga40af81a5621db7a8b7883fff421a65b7">SPI_FIFO_TIMEOUT_INTEN_MASK</a>&#160;&#160;&#160;(0x40)</td></tr>
<tr class="separator:ga40af81a5621db7a8b7883fff421a65b7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2f250524c0d3e7d98075b7992b939cc9"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga2f250524c0d3e7d98075b7992b939cc9">SPI_ABORT_3WIRE_TRANSFER</a>(spi)&#160;&#160;&#160;( (spi)-&gt;CNTRL2 |= <a class="el" href="_mini51_series_8h.html#a46dc49c81287f41899c0763570b9b01a">SPI_CNTRL2_SLV_ABORT_Msk</a> )</td></tr>
<tr class="memdesc:ga2f250524c0d3e7d98075b7992b939cc9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Abort the current transfer in slave 3-wire mode.  <a href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga2f250524c0d3e7d98075b7992b939cc9">More...</a><br /></td></tr>
<tr class="separator:ga2f250524c0d3e7d98075b7992b939cc9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gabd9c622d28d4b93b8414a783439c852e"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gabd9c622d28d4b93b8414a783439c852e">SPI_CLR_3WIRE_START_INT_FLAG</a>(spi)&#160;&#160;&#160;( (spi)-&gt;STATUS = <a class="el" href="_mini51_series_8h.html#a9b5a933377b5a67bc553aa6ff5cb5542">SPI_STATUS_SLV_START_INTSTS_Msk</a> )</td></tr>
<tr class="memdesc:gabd9c622d28d4b93b8414a783439c852e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clear the slave 3-wire mode start interrupt flag.  <a href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gabd9c622d28d4b93b8414a783439c852e">More...</a><br /></td></tr>
<tr class="separator:gabd9c622d28d4b93b8414a783439c852e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gafc919e1780ef049f97d3b4def65e05f9"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gafc919e1780ef049f97d3b4def65e05f9">SPI_CLR_UNIT_TRANS_INT_FLAG</a>(spi)&#160;&#160;&#160;( (spi)-&gt;STATUS = <a class="el" href="_mini51_series_8h.html#a3053d983dbab6f89dafc2c834ae53b93">SPI_STATUS_IF_Msk</a> )</td></tr>
<tr class="memdesc:gafc919e1780ef049f97d3b4def65e05f9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clear the unit transfer interrupt flag.  <a href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gafc919e1780ef049f97d3b4def65e05f9">More...</a><br /></td></tr>
<tr class="separator:gafc919e1780ef049f97d3b4def65e05f9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga95240de57d0c033276e43bdc5b6b9dcc"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga95240de57d0c033276e43bdc5b6b9dcc">SPI_DISABLE_3WIRE_MODE</a>(spi)&#160;&#160;&#160;( (spi)-&gt;CNTRL2 &amp;= ~<a class="el" href="_mini51_series_8h.html#aa1ceaffb20242154c138dc88d9714c77">SPI_CNTRL2_NOSLVSEL_Msk</a> )</td></tr>
<tr class="memdesc:ga95240de57d0c033276e43bdc5b6b9dcc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable slave 3-wire mode.  <a href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga95240de57d0c033276e43bdc5b6b9dcc">More...</a><br /></td></tr>
<tr class="separator:ga95240de57d0c033276e43bdc5b6b9dcc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0ca327c37cb730cbd0b6aa4db7f980b5"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0ca327c37cb730cbd0b6aa4db7f980b5">SPI_ENABLE_3WIRE_MODE</a>(spi)&#160;&#160;&#160;( (spi)-&gt;CNTRL2 |= <a class="el" href="_mini51_series_8h.html#aa1ceaffb20242154c138dc88d9714c77">SPI_CNTRL2_NOSLVSEL_Msk</a> )</td></tr>
<tr class="memdesc:ga0ca327c37cb730cbd0b6aa4db7f980b5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable slave 3-wire mode.  <a href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0ca327c37cb730cbd0b6aa4db7f980b5">More...</a><br /></td></tr>
<tr class="separator:ga0ca327c37cb730cbd0b6aa4db7f980b5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga984898177d313359fdd1fcdc0f4bf193"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga984898177d313359fdd1fcdc0f4bf193">SPI_GET_RX_FIFO_COUNT</a>(spi)&#160;&#160;&#160;( (((spi)-&gt;STATUS &amp; <a class="el" href="_mini51_series_8h.html#ac60c8564e1c4c88f36b67f4172925aa0">SPI_STATUS_RX_FIFO_COUNT_Msk</a>) &gt;&gt; <a class="el" href="_mini51_series_8h.html#a9589ba8e2c6f295f10da833f28a822c7">SPI_STATUS_RX_FIFO_COUNT_Pos</a>) &amp; 0xf )</td></tr>
<tr class="memdesc:ga984898177d313359fdd1fcdc0f4bf193"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the count of available data in RX FIFO.  <a href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga984898177d313359fdd1fcdc0f4bf193">More...</a><br /></td></tr>
<tr class="separator:ga984898177d313359fdd1fcdc0f4bf193"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaaeb40ca921663b20308a0a841ba7ce73"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaaeb40ca921663b20308a0a841ba7ce73">SPI_GET_RX_FIFO_EMPTY_FLAG</a>(spi)&#160;&#160;&#160;( ((spi)-&gt;STATUS &amp; <a class="el" href="_mini51_series_8h.html#aae36655c7eeb0cff1ef90126f9f6f5e1">SPI_STATUS_RX_EMPTY_Msk</a>) == <a class="el" href="_mini51_series_8h.html#aae36655c7eeb0cff1ef90126f9f6f5e1">SPI_STATUS_RX_EMPTY_Msk</a> ? 1:0 )</td></tr>
<tr class="memdesc:gaaeb40ca921663b20308a0a841ba7ce73"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the Rx FIFO empty flag.  <a href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaaeb40ca921663b20308a0a841ba7ce73">More...</a><br /></td></tr>
<tr class="separator:gaaeb40ca921663b20308a0a841ba7ce73"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3e0bc926739bf60d35df6a774f06cceb"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3e0bc926739bf60d35df6a774f06cceb">SPI_GET_TX_FIFO_EMPTY_FLAG</a>(spi)&#160;&#160;&#160;( ((spi)-&gt;STATUS &amp; <a class="el" href="_mini51_series_8h.html#a74ccd6d6d92a8d02fc0767dee7fa6ff2">SPI_STATUS_TX_EMPTY_Msk</a>) == <a class="el" href="_mini51_series_8h.html#a74ccd6d6d92a8d02fc0767dee7fa6ff2">SPI_STATUS_TX_EMPTY_Msk</a> ? 1:0 )</td></tr>
<tr class="memdesc:ga3e0bc926739bf60d35df6a774f06cceb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the Tx FIFO empty flag.  <a href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3e0bc926739bf60d35df6a774f06cceb">More...</a><br /></td></tr>
<tr class="separator:ga3e0bc926739bf60d35df6a774f06cceb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga5523e2a8d5469337f2ba5605d57d24de"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga5523e2a8d5469337f2ba5605d57d24de">SPI_GET_TX_FIFO_FULL_FLAG</a>(spi)&#160;&#160;&#160;( ((spi)-&gt;STATUS &amp; <a class="el" href="_mini51_series_8h.html#ab9f92b8db8295dba3dab6d4f468db6bf">SPI_STATUS_TX_FULL_Msk</a>) == <a class="el" href="_mini51_series_8h.html#ab9f92b8db8295dba3dab6d4f468db6bf">SPI_STATUS_TX_FULL_Msk</a> ? 1:0 )</td></tr>
<tr class="memdesc:ga5523e2a8d5469337f2ba5605d57d24de"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the Tx FIFO full flag.  <a href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga5523e2a8d5469337f2ba5605d57d24de">More...</a><br /></td></tr>
<tr class="separator:ga5523e2a8d5469337f2ba5605d57d24de"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9eb889294d2c4d5ed1dfd6fad32d836f"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga9eb889294d2c4d5ed1dfd6fad32d836f">SPI_READ_RX</a>(spi)&#160;&#160;&#160;( (spi)-&gt;RX )</td></tr>
<tr class="memdesc:ga9eb889294d2c4d5ed1dfd6fad32d836f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the datum read from Rx FIFO.  <a href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga9eb889294d2c4d5ed1dfd6fad32d836f">More...</a><br /></td></tr>
<tr class="separator:ga9eb889294d2c4d5ed1dfd6fad32d836f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab93785c2240ec750938f7763dba9a1b2"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab93785c2240ec750938f7763dba9a1b2">SPI_WRITE_TX</a>(spi,  u32TxData)&#160;&#160;&#160;( (spi)-&gt;TX = u32TxData )</td></tr>
<tr class="memdesc:gab93785c2240ec750938f7763dba9a1b2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Write datum to TX register.  <a href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab93785c2240ec750938f7763dba9a1b2">More...</a><br /></td></tr>
<tr class="separator:gab93785c2240ec750938f7763dba9a1b2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa795ff6d2dac96bcc9add693f3446d36"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa795ff6d2dac96bcc9add693f3446d36">SPI_ENABLE_BYTE_REORDER</a>(spi)&#160;&#160;&#160;( (spi)-&gt;CNTRL |= <a class="el" href="_mini51_series_8h.html#a4c624071da44b8be1b6a99c8a4543a45">SPI_CNTRL_REORDER_Msk</a> )</td></tr>
<tr class="memdesc:gaa795ff6d2dac96bcc9add693f3446d36"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable byte reorder function.  <a href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaa795ff6d2dac96bcc9add693f3446d36">More...</a><br /></td></tr>
<tr class="separator:gaa795ff6d2dac96bcc9add693f3446d36"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga704f049cd3351d0d0f7130a75ca394bf"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga704f049cd3351d0d0f7130a75ca394bf">SPI_DISABLE_BYTE_REORDER</a>(spi)&#160;&#160;&#160;( (spi)-&gt;CNTRL &amp;= ~<a class="el" href="_mini51_series_8h.html#a4c624071da44b8be1b6a99c8a4543a45">SPI_CNTRL_REORDER_Msk</a> )</td></tr>
<tr class="memdesc:ga704f049cd3351d0d0f7130a75ca394bf"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable byte reorder function.  <a href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga704f049cd3351d0d0f7130a75ca394bf">More...</a><br /></td></tr>
<tr class="separator:ga704f049cd3351d0d0f7130a75ca394bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga356f36b6fc4c8c03904b3ef0d9ff8660"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga356f36b6fc4c8c03904b3ef0d9ff8660">SPI_SET_SUSPEND_CYCLE</a>(spi,  u32SuspCycle)&#160;&#160;&#160;( (spi)-&gt;CNTRL = ((spi)-&gt;CNTRL &amp; ~<a class="el" href="_mini51_series_8h.html#aaede42340afd2415e92a7ee71c8cf5d7">SPI_CNTRL_SP_CYCLE_Msk</a>) | (u32SuspCycle &lt;&lt; <a class="el" href="_mini51_series_8h.html#a056642dfd80f30ff3bca95449aad7d57">SPI_CNTRL_SP_CYCLE_Pos</a>) )</td></tr>
<tr class="memdesc:ga356f36b6fc4c8c03904b3ef0d9ff8660"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the length of suspend interval.  <a href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga356f36b6fc4c8c03904b3ef0d9ff8660">More...</a><br /></td></tr>
<tr class="separator:ga356f36b6fc4c8c03904b3ef0d9ff8660"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga950a4385d8641da85456398b268368ae"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga950a4385d8641da85456398b268368ae">SPI_SET_LSB_FIRST</a>(spi)&#160;&#160;&#160;( (spi)-&gt;CNTRL |= <a class="el" href="_mini51_series_8h.html#a2d5c4d184f0ba836df5011efe7ae6670">SPI_CNTRL_LSB_Msk</a> )</td></tr>
<tr class="memdesc:ga950a4385d8641da85456398b268368ae"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the SPI transfer sequence with LSB first.  <a href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga950a4385d8641da85456398b268368ae">More...</a><br /></td></tr>
<tr class="separator:ga950a4385d8641da85456398b268368ae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga5cbade2af2ae16ff7b5cd4fd834592cb"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga5cbade2af2ae16ff7b5cd4fd834592cb">SPI_SET_MSB_FIRST</a>(spi)&#160;&#160;&#160;( (spi)-&gt;CNTRL &amp;= ~<a class="el" href="_mini51_series_8h.html#a2d5c4d184f0ba836df5011efe7ae6670">SPI_CNTRL_LSB_Msk</a> )</td></tr>
<tr class="memdesc:ga5cbade2af2ae16ff7b5cd4fd834592cb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the SPI transfer sequence with MSB first.  <a href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga5cbade2af2ae16ff7b5cd4fd834592cb">More...</a><br /></td></tr>
<tr class="separator:ga5cbade2af2ae16ff7b5cd4fd834592cb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab09ba12aaae1e080cc39237e340dff96"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab09ba12aaae1e080cc39237e340dff96">SPI_IS_BUSY</a>(spi)&#160;&#160;&#160;( ((spi)-&gt;CNTRL &amp; <a class="el" href="_mini51_series_8h.html#aec9fa871cbd158fb96778b2f1bf552d7">SPI_CNTRL_GO_BUSY_Msk</a>) == <a class="el" href="_mini51_series_8h.html#aec9fa871cbd158fb96778b2f1bf552d7">SPI_CNTRL_GO_BUSY_Msk</a> ? 1:0 )</td></tr>
<tr class="memdesc:gab09ba12aaae1e080cc39237e340dff96"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the SPI busy state.  <a href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gab09ba12aaae1e080cc39237e340dff96">More...</a><br /></td></tr>
<tr class="separator:gab09ba12aaae1e080cc39237e340dff96"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3b3a8af4404dca3916553b91766d2adf"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3b3a8af4404dca3916553b91766d2adf">SPI_TRIGGER</a>(spi)&#160;&#160;&#160;( (spi)-&gt;CNTRL |= <a class="el" href="_mini51_series_8h.html#aec9fa871cbd158fb96778b2f1bf552d7">SPI_CNTRL_GO_BUSY_Msk</a> )</td></tr>
<tr class="memdesc:ga3b3a8af4404dca3916553b91766d2adf"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the GO_BUSY bit to trigger SPI transfer.  <a href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3b3a8af4404dca3916553b91766d2adf">More...</a><br /></td></tr>
<tr class="separator:ga3b3a8af4404dca3916553b91766d2adf"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ga8f29377ac41486fc4678b9466f1a4c06"><td class="memItemLeft" align="right" valign="top">static __INLINE void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8f29377ac41486fc4678b9466f1a4c06">SPI_SET_SS_HIGH</a> (<a class="el" href="struct_s_p_i___t.html">SPI_T</a> *spi)</td></tr>
<tr class="memdesc:ga8f29377ac41486fc4678b9466f1a4c06"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable automatic slave select function and set SPI_SS pin to high state.  <a href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8f29377ac41486fc4678b9466f1a4c06">More...</a><br /></td></tr>
<tr class="separator:ga8f29377ac41486fc4678b9466f1a4c06"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga40c84e99f252e6ccd8dfc5faf26fbb40"><td class="memItemLeft" align="right" valign="top">static __INLINE void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga40c84e99f252e6ccd8dfc5faf26fbb40">SPI_SET_SS_LOW</a> (<a class="el" href="struct_s_p_i___t.html">SPI_T</a> *spi)</td></tr>
<tr class="memdesc:ga40c84e99f252e6ccd8dfc5faf26fbb40"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable automatic slave select function and set SPI_SS pin to low state.  <a href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga40c84e99f252e6ccd8dfc5faf26fbb40">More...</a><br /></td></tr>
<tr class="separator:ga40c84e99f252e6ccd8dfc5faf26fbb40"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1cace1d20930ddff812b308310ec7353"><td class="memItemLeft" align="right" valign="top">static __INLINE void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1cace1d20930ddff812b308310ec7353">SPI_SET_DATA_WIDTH</a> (<a class="el" href="struct_s_p_i___t.html">SPI_T</a> *spi, uint32_t u32Width)</td></tr>
<tr class="memdesc:ga1cace1d20930ddff812b308310ec7353"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the data width of a SPI transaction.  <a href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1cace1d20930ddff812b308310ec7353">More...</a><br /></td></tr>
<tr class="separator:ga1cace1d20930ddff812b308310ec7353"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad923655d26fb14da88c61d4ed0125c44"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad923655d26fb14da88c61d4ed0125c44">SPI_Open</a> (<a class="el" href="struct_s_p_i___t.html">SPI_T</a> *spi, uint32_t u32MasterSlave, uint32_t u32SPIMode, uint32_t u32DataWidth, uint32_t u32BusClock)</td></tr>
<tr class="memdesc:gad923655d26fb14da88c61d4ed0125c44"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function make SPI module be ready to transfer. By default, the SPI transfer sequence is MSB first and the automatic slave select function is disabled. In Slave mode, the u32BusClock must be NULL and the SPI clock divider setting will be 0.  <a href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad923655d26fb14da88c61d4ed0125c44">More...</a><br /></td></tr>
<tr class="separator:gad923655d26fb14da88c61d4ed0125c44"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8074f716aa1c65ecc93d79062b5d4b1b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8074f716aa1c65ecc93d79062b5d4b1b">SPI_Close</a> (<a class="el" href="struct_s_p_i___t.html">SPI_T</a> *spi)</td></tr>
<tr class="memdesc:ga8074f716aa1c65ecc93d79062b5d4b1b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reset SPI module and disable SPI peripheral clock.  <a href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8074f716aa1c65ecc93d79062b5d4b1b">More...</a><br /></td></tr>
<tr class="separator:ga8074f716aa1c65ecc93d79062b5d4b1b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae59c481764af06e5512f4416a91c5da2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae59c481764af06e5512f4416a91c5da2">SPI_ClearRxFIFO</a> (<a class="el" href="struct_s_p_i___t.html">SPI_T</a> *spi)</td></tr>
<tr class="memdesc:gae59c481764af06e5512f4416a91c5da2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clear Rx FIFO buffer.  <a href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae59c481764af06e5512f4416a91c5da2">More...</a><br /></td></tr>
<tr class="separator:gae59c481764af06e5512f4416a91c5da2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad1c25325aceb6a6ed417055225aff01b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad1c25325aceb6a6ed417055225aff01b">SPI_ClearTxFIFO</a> (<a class="el" href="struct_s_p_i___t.html">SPI_T</a> *spi)</td></tr>
<tr class="memdesc:gad1c25325aceb6a6ed417055225aff01b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clear Tx FIFO buffer.  <a href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad1c25325aceb6a6ed417055225aff01b">More...</a><br /></td></tr>
<tr class="separator:gad1c25325aceb6a6ed417055225aff01b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga58b7eef9f93f8c3d3818d1a4b74f5be6"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga58b7eef9f93f8c3d3818d1a4b74f5be6">SPI_DisableAutoSS</a> (<a class="el" href="struct_s_p_i___t.html">SPI_T</a> *spi)</td></tr>
<tr class="memdesc:ga58b7eef9f93f8c3d3818d1a4b74f5be6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable the automatic slave select function.  <a href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga58b7eef9f93f8c3d3818d1a4b74f5be6">More...</a><br /></td></tr>
<tr class="separator:ga58b7eef9f93f8c3d3818d1a4b74f5be6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga55b31f9a751c6e784ad0022bc9155153"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga55b31f9a751c6e784ad0022bc9155153">SPI_EnableAutoSS</a> (<a class="el" href="struct_s_p_i___t.html">SPI_T</a> *spi, uint32_t u32SSPinMask, uint32_t u32ActiveLevel)</td></tr>
<tr class="memdesc:ga55b31f9a751c6e784ad0022bc9155153"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable the automatic slave select function. Only available in Master mode.  <a href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga55b31f9a751c6e784ad0022bc9155153">More...</a><br /></td></tr>
<tr class="separator:ga55b31f9a751c6e784ad0022bc9155153"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7cee248bcbe05dfae8ab8b3bf89e8f13"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7cee248bcbe05dfae8ab8b3bf89e8f13">SPI_SetBusClock</a> (<a class="el" href="struct_s_p_i___t.html">SPI_T</a> *spi, uint32_t u32BusClock)</td></tr>
<tr class="memdesc:ga7cee248bcbe05dfae8ab8b3bf89e8f13"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the SPI bus clock. Only available in Master mode.  <a href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7cee248bcbe05dfae8ab8b3bf89e8f13">More...</a><br /></td></tr>
<tr class="separator:ga7cee248bcbe05dfae8ab8b3bf89e8f13"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga58733a1f2730db4943ee270c5aad39ba"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga58733a1f2730db4943ee270c5aad39ba">SPI_EnableFIFO</a> (<a class="el" href="struct_s_p_i___t.html">SPI_T</a> *spi, uint32_t u32TxThreshold, uint32_t u32RxThreshold)</td></tr>
<tr class="memdesc:ga58733a1f2730db4943ee270c5aad39ba"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable FIFO mode with user-specified Tx FIFO threshold and Rx FIFO threshold configurations.  <a href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga58733a1f2730db4943ee270c5aad39ba">More...</a><br /></td></tr>
<tr class="separator:ga58733a1f2730db4943ee270c5aad39ba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga38d6219787921363efa7dcd46fdb6846"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga38d6219787921363efa7dcd46fdb6846">SPI_DisableFIFO</a> (<a class="el" href="struct_s_p_i___t.html">SPI_T</a> *spi)</td></tr>
<tr class="memdesc:ga38d6219787921363efa7dcd46fdb6846"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable FIFO mode.  <a href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga38d6219787921363efa7dcd46fdb6846">More...</a><br /></td></tr>
<tr class="separator:ga38d6219787921363efa7dcd46fdb6846"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae3a43e332cf4de4b416980eeab502d07"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae3a43e332cf4de4b416980eeab502d07">SPI_GetBusClock</a> (<a class="el" href="struct_s_p_i___t.html">SPI_T</a> *spi)</td></tr>
<tr class="memdesc:gae3a43e332cf4de4b416980eeab502d07"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the actual frequency of SPI bus clock. Only available in Master mode.  <a href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae3a43e332cf4de4b416980eeab502d07">More...</a><br /></td></tr>
<tr class="separator:gae3a43e332cf4de4b416980eeab502d07"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3d27a219e6d7e2c767775a2ed26fbc4b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3d27a219e6d7e2c767775a2ed26fbc4b">SPI_EnableInt</a> (<a class="el" href="struct_s_p_i___t.html">SPI_T</a> *spi, uint32_t u32Mask)</td></tr>
<tr class="memdesc:ga3d27a219e6d7e2c767775a2ed26fbc4b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable FIFO related interrupts specified by u32Mask parameter.  <a href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3d27a219e6d7e2c767775a2ed26fbc4b">More...</a><br /></td></tr>
<tr class="separator:ga3d27a219e6d7e2c767775a2ed26fbc4b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0450c2c279d9f5254f172d3a6fd7f47b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0450c2c279d9f5254f172d3a6fd7f47b">SPI_DisableInt</a> (<a class="el" href="struct_s_p_i___t.html">SPI_T</a> *spi, uint32_t u32Mask)</td></tr>
<tr class="memdesc:ga0450c2c279d9f5254f172d3a6fd7f47b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable FIFO related interrupts specified by u32Mask parameter.  <a href="group___m_i_n_i51___s_p_i___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0450c2c279d9f5254f172d3a6fd7f47b">More...</a><br /></td></tr>
<tr class="separator:ga0450c2c279d9f5254f172d3a6fd7f47b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Mini51 series SPI driver header file. </p>
<dl class="section version"><dt>Version</dt><dd>V1.00 </dd></dl>
<dl class="section rcs"><dt>Revision</dt><dd>15 </dd></dl>
<dl class="section rcs"><dt>Date</dt><dd>15/10/01 11:36a </dd></dl>
<dl class="section note"><dt>Note</dt><dd>SPDX-License-Identifier: Apache-2.0 Copyright (C) 2013 Nuvoton Technology Corp. All rights reserved. </dd></dl>

<p class="definition">Definition in file <a class="el" href="spi_8h_source.html">spi.h</a>.</p>
</div></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Mon Oct 5 2020 14:31:44 for Mini51 BSP by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
